/[gentoo-x86]/eclass/vdr-plugin.eclass
Gentoo

Contents of /eclass/vdr-plugin.eclass

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.89 - (hide annotations) (download)
Wed Sep 19 17:54:46 2012 UTC (2 years ago) by hd_brummy
Branch: MAIN
Changes since 1.88: +2 -2 lines
using now append-lfs-flags for large files

1 idl0r 1.78 # Copyright 1999-2012 Gentoo Foundation
2 zzam 1.1 # Distributed under the terms of the GNU General Public License v2
3 hd_brummy 1.89 # $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin.eclass,v 1.88 2012/04/23 23:13:52 hd_brummy Exp $
4 idl0r 1.79
5     # @ECLASS: vdr-plugin.eclass
6     # @MAINTAINER:
7     # vdr@gentoo.org
8     # @BLURB: common vdr plugin ebuild functions
9     # @DESCRIPTION:
10     # Eclass for easing maitenance of vdr plugin ebuilds
11    
12 idl0r 1.80 # Authors:
13     # Matthias Schwarzott <zzam@gentoo.org>
14     # Joerg Bornkessel <hd_brummy@gentoo.org>
15     # Christian Ruppert <idl0r@gentoo.org>
16    
17     # Plugin config file installation:
18     #
19     # A plugin config file can be specified through the $VDR_CONFD_FILE variable, it
20     # defaults to ${FILESDIR}/confd. Each config file will be installed as e.g.
21     # ${D}/etc/conf.d/vdr.${VDRPLUGIN}
22    
23     # Installation of rc-addon files:
24     # NOTE: rc-addon files must be valid shell scripts!
25     #
26     # Installing rc-addon files is basically the same as for plugin config files
27     # (see above), it's just using the $VDR_RCADDON_FILE variable instead.
28     # The default value when $VDR_RCADDON_FILE is undefined is:
29     # ${FILESDIR}/rc-addon.sh and will be installed as
30     # ${VDR_RC_DIR}/plugin-${VDRPLUGIN}.sh
31     #
32     # The rc-addon files will be sourced by the startscript when the specific plugin
33     # has been enabled.
34     # rc-addon files may be used to prepare everything that is necessary for the
35     # plugin start/stop, like passing extra command line options and so on.
36    
37     # Applying your own local/user patches:
38     # This is done by using the epatch_user() function of the eutils.eclass.
39     # Simply put your patches into one of these directories:
40     # /etc/portage/patches/<CATEGORY>/<PF|P|PN>/
41     # Quote: where the first of these three directories to exist will be the one to
42     # use, ignoring any more general directories which might exist as well.
43 hd_brummy 1.27 #
44 idl0r 1.80 # For more details about it please take a look at the eutils.class.
45 hd_brummy 1.27
46 zzam 1.22 inherit base multilib eutils flag-o-matic
47 zzam 1.1
48 idl0r 1.78 if ! has "${EAPI:-0}" 0 1 2 3 4; then
49 hd_brummy 1.72 die "API of vdr-plugin.eclass in EAPI=\"${EAPI}\" not established"
50     fi
51    
52 zzam 1.39 IUSE=""
53 zzam 1.15
54 zzam 1.1 # Name of the plugin stripped from all vdrplugin-, vdr- and -cvs pre- and postfixes
55     VDRPLUGIN="${PN/#vdrplugin-/}"
56 zzam 1.2 VDRPLUGIN="${VDRPLUGIN/#vdr-/}"
57 zzam 1.1 VDRPLUGIN="${VDRPLUGIN/%-cvs/}"
58    
59     DESCRIPTION="vdr Plugin: ${VDRPLUGIN} (based on vdr-plugin.eclass)"
60    
61     # works in most cases
62     S="${WORKDIR}/${VDRPLUGIN}-${PV}"
63    
64     # depend on headers for DVB-driver
65 zzam 1.65 COMMON_DEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2"
66    
67     DEPEND="${COMMON_DEPEND}
68 hd_brummy 1.81 virtual/linuxtv-dvb-headers"
69 zzam 1.65 RDEPEND="${COMMON_DEPEND}
70     >=app-admin/eselect-vdr-0.0.2"
71 zzam 1.2
72 zzam 1.69 # this is a hack for ebuilds like vdr-xineliboutput that want to
73     # conditionally install a vdr-plugin
74     if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]]; then
75     # make DEPEND conditional
76     IUSE="${IUSE} vdr"
77     DEPEND="vdr? ( ${DEPEND} )"
78     RDEPEND="vdr? ( ${RDEPEND} )"
79     fi
80    
81 zzam 1.37 # New method of storing plugindb
82     # Called from src_install
83     # file maintained by normal portage-methods
84     create_plugindb_file() {
85     local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/
86 zzam 1.50 local DB_FILE="${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}"
87     insinto "${NEW_VDRPLUGINDB_DIR}"
88 zzam 1.52
89     # BUG: portage-2.1.4_rc9 will delete the EBUILD= line, so we cannot use this code.
90     # cat <<-EOT > "${D}/${DB_FILE}"
91     # VDRPLUGIN_DB=1
92     # CREATOR=ECLASS
93     # EBUILD=${CATEGORY}/${PN}
94     # EBUILD_V=${PVR}
95     # EOT
96     {
97     echo "VDRPLUGIN_DB=1"
98     echo "CREATOR=ECLASS"
99     echo "EBUILD=${CATEGORY}/${PN}"
100     echo "EBUILD_V=${PVR}"
101 zzam 1.60 echo "PLUGINS=\"$@\""
102 zzam 1.52 } > "${D}/${DB_FILE}"
103 zzam 1.37 }
104    
105     # Delete files created outside of vdr-plugin.eclass
106     # vdrplugin-rebuild.ebuild converted plugindb and files are
107     # not deleted by portage itself - should only be needed as
108     # long as not every system has switched over to
109 zzam 1.51 # vdrplugin-rebuild-0.2 / gentoo-vdr-scripts-0.4.2
110 zzam 1.37 delete_orphan_plugindb_file() {
111 hd_brummy 1.40 #elog Testing for orphaned plugindb file
112 zzam 1.37 local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/
113 zzam 1.50 local DB_FILE="${ROOT}/${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}"
114 zzam 1.37
115     # file exists
116     [[ -f ${DB_FILE} ]] || return
117    
118     # will portage handle the file itself
119 zzam 1.50 if grep -q CREATOR=ECLASS "${DB_FILE}"; then
120 hd_brummy 1.40 #elog file owned by eclass - don't touch it
121 zzam 1.37 return
122     fi
123    
124 hd_brummy 1.40 elog "Removing orphaned plugindb-file."
125 zzam 1.41 elog "\t#rm ${DB_FILE}"
126 zzam 1.50 rm "${DB_FILE}"
127 zzam 1.37 }
128    
129 zzam 1.45
130     create_header_checksum_file()
131     {
132     # Danger: Not using $ROOT here, as compile will also not use it !!!
133     # If vdr in $ROOT and / differ, plugins will not run anyway
134    
135 zzam 1.60 local CHKSUM="header-md5-vdr"
136    
137 zzam 1.45 if [[ -f ${VDR_CHECKSUM_DIR}/header-md5-vdr ]]; then
138 zzam 1.60 cp "${VDR_CHECKSUM_DIR}/header-md5-vdr" "${CHKSUM}"
139     elif type -p md5sum >/dev/null 2>&1; then
140     (
141     cd "${VDR_INCLUDE_DIR}"
142     md5sum *.h libsi/*.h|LC_ALL=C sort --key=2
143     ) > "${CHKSUM}"
144 zzam 1.45 else
145 zzam 1.60 die "Could not create md5 checksum of headers"
146 zzam 1.45 fi
147 zzam 1.60
148     insinto "${VDR_CHECKSUM_DIR}"
149     local p_name
150     for p_name; do
151     newins "${CHKSUM}" "header-md5-${p_name}"
152     done
153 zzam 1.45 }
154    
155 zzam 1.55 fix_vdr_libsi_include()
156     {
157 zzam 1.70 #einfo "Fixing include of libsi-headers"
158 zzam 1.55 local f
159     for f; do
160     sed -i "${f}" \
161     -e '/#include/s:"\(.*libsi.*\)":<\1>:' \
162     -e '/#include/s:<.*\(libsi/.*\)>:<vdr/\1>:'
163     done
164     }
165    
166     vdr_patchmakefile() {
167     einfo "Patching Makefile"
168     [[ -e Makefile ]] || die "Makefile of plugin can not be found!"
169     cp Makefile "${WORKDIR}"/Makefile.before
170    
171 zzam 1.60 # plugin makefiles use VDRDIR in strange ways
172     # assumptions:
173     # 1. $(VDRDIR) contains Make.config
174     # 2. $(VDRDIR) contains config.h
175     # 3. $(VDRDIR)/include/vdr contains the headers
176     # 4. $(VDRDIR) contains main vdr Makefile
177     # 5. $(VDRDIR)/locale exists
178     # 6. $(VDRDIR) allows to access vdr source files
179     #
180     # We only have one directory (for now /usr/include/vdr),
181     # that contains vdr-headers and Make.config.
182     # To satisfy 1-3 we do this:
183     # Set VDRDIR=/usr/include/vdr
184     # Set VDRINCDIR=/usr/include
185     # Change $(VDRDIR)/include to $(VDRINCDIR)
186    
187 zzam 1.55 sed -i Makefile \
188     -e "s:^VDRDIR.*$:VDRDIR = ${VDR_INCLUDE_DIR}:" \
189 zzam 1.60 -e "/^VDRDIR/a VDRINCDIR = ${VDR_INCLUDE_DIR%/vdr}" \
190     -e '/VDRINCDIR.*=/!s:$(VDRDIR)/include:$(VDRINCDIR):' \
191     \
192 zzam 1.59 -e 's:-I$(DVBDIR)/include::' \
193     -e 's:-I$(DVBDIR)::'
194 zzam 1.55
195     # maybe needed for multiproto:
196     #sed -i Makefile \
197     # -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
198     # -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):'
199    
200     if ! grep -q APIVERSION Makefile; then
201     ebegin " Converting to APIVERSION"
202     sed -i Makefile \
203     -e 's:^APIVERSION = :APIVERSION ?= :' \
204     -e 's:$(LIBDIR)/$@.$(VDRVERSION):$(LIBDIR)/$@.$(APIVERSION):' \
205     -e '/VDRVERSION =/a\APIVERSION = $(shell sed -ne '"'"'/define APIVERSION/s/^.*"\\(.*\\)".*$$/\\1/p'"'"' $(VDRDIR)/config.h)'
206     eend $?
207     fi
208    
209     # Correcting Compile-Flags
210     # Do not overwrite CXXFLAGS, add LDFLAGS if missing
211     sed -i Makefile \
212     -e '/^CXXFLAGS[[:space:]]*=/s/=/?=/' \
213     -e '/LDFLAGS/!s:-shared:$(LDFLAGS) -shared:'
214    
215     # Disabling file stripping, useful for debugging
216     sed -i Makefile \
217     -e '/@.*strip/d' \
218     -e '/strip \$(LIBDIR)\/\$@/d' \
219 zzam 1.70 -e 's/STRIP.*=.*$/STRIP = true/'
220 zzam 1.55
221     # Use a file instead of a variable as single-stepping via ebuild
222     # destroys environment.
223     touch "${WORKDIR}"/.vdr-plugin_makefile_patched
224     }
225    
226 zzam 1.56 vdr_has_gettext() {
227     has_version ">=media-video/vdr-1.5.7"
228     }
229    
230     plugin_has_gettext() {
231     [[ -d po ]]
232     }
233    
234     vdr_i18n_convert_to_gettext() {
235 hd_brummy 1.77 if has_version ">=media-video/vdr-1.7.22"; then
236     local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext"
237     else
238     local i18n_tool="${ROOT}/usr/share/vdr/bin/i18n-to-gettext.pl"
239     fi
240 zzam 1.56
241     if [[ ${NO_GETTEXT_HACK} == "1" ]]; then
242     ewarn "Conversion to gettext disabled in ebuild"
243     return 1
244     fi
245    
246     if [[ ! -x ${i18n_tool} ]]; then
247     eerror "Missing ${i18n_tool}"
248     eerror "Please re-emerge vdr"
249     die "Missing ${i18n_tool}"
250     fi
251    
252     ebegin "Auto converting translations to gettext"
253     # call i18n-to-gettext tool
254     # take all texts missing tr call into special file
255     "${i18n_tool}" 2>/dev/null \
256     |sed -e '/^"/!d' \
257     -e '/^""$/d' \
258     -e 's/\(.*\)/trNOOP(\1)/' \
259     > dummy-translations-trNOOP.c
260    
261     # if there were untranslated texts just run it again
262     # now the missing calls are listed in
263     # dummy-translations-trNOOP.c
264     if [[ -s dummy-translations-trNOOP.c ]]; then
265     "${i18n_tool}" &>/dev/null
266     fi
267    
268     # now use the modified Makefile
269     if [[ -f Makefile.new ]]; then
270     mv Makefile.new Makefile
271     eend 0 ""
272     else
273     eend 1 "Conversion to gettext failed. Plugin needs fixing."
274     return 1
275     fi
276     }
277 zzam 1.55
278 zzam 1.56 vdr_i18n_disable_gettext() {
279 zzam 1.70 #einfo "Disabling gettext support in plugin"
280    
281 zzam 1.56 # Remove i18n Target if using older vdr
282     sed -i Makefile \
283     -e '/^all:/s/ i18n//'
284     }
285 zzam 1.55
286 zzam 1.56 vdr_i18n() {
287     if vdr_has_gettext; then
288 zzam 1.70 #einfo "VDR has gettext support"
289 zzam 1.56 if plugin_has_gettext; then
290 zzam 1.70 #einfo "Plugin has gettext support, fine"
291 zzam 1.62 if [[ ${NO_GETTEXT_HACK} == "1" ]]; then
292 zzam 1.70 ewarn "Please remove unneeded NO_GETTEXT_HACK from ebuild."
293 zzam 1.62 fi
294 zzam 1.55 else
295 zzam 1.56 vdr_i18n_convert_to_gettext
296     if [[ $? != 0 ]]; then
297 hd_brummy 1.84 einfo "Plugin has no OSD texts or will have only english OSD texts"
298 zzam 1.56 fi
299     fi
300     else
301 zzam 1.70 #einfo "VDR has no gettext support"
302 zzam 1.56 if plugin_has_gettext; then
303     vdr_i18n_disable_gettext
304 zzam 1.55 fi
305     fi
306     }
307    
308     vdr-plugin_copy_source_tree() {
309     pushd . >/dev/null
310     cp -r "${S}" "${T}"/source-tree
311     cd "${T}"/source-tree
312     cp "${WORKDIR}"/Makefile.before Makefile
313 zzam 1.59 # TODO: Fix this, maybe no longer needed
314 zzam 1.55 sed -i Makefile \
315     -e "s:^DVBDIR.*$:DVBDIR = ${DVB_INCLUDE_DIR}:" \
316     -e 's:^CXXFLAGS:#CXXFLAGS:' \
317     -e 's:-I$(DVBDIR)/include:-I$(DVBDIR):' \
318     -e 's:-I$(VDRDIR) -I$(DVBDIR):-I$(DVBDIR) -I$(VDRDIR):'
319     popd >/dev/null
320     }
321    
322     vdr-plugin_install_source_tree() {
323     einfo "Installing sources"
324     destdir="${VDRSOURCE_DIR}/vdr-${VDRVERSION}/PLUGINS/src/${VDRPLUGIN}"
325     insinto "${destdir}-${PV}"
326     doins -r "${T}"/source-tree/*
327    
328     dosym "${VDRPLUGIN}-${PV}" "${destdir}"
329     }
330    
331     vdr-plugin_print_enable_command() {
332 zzam 1.64 local p_name c=0 l=""
333     for p_name in ${vdr_plugin_list}; do
334     c=$(( c+1 ))
335     l="$l ${p_name#vdr-}"
336     done
337    
338 zzam 1.55 elog
339 zzam 1.64 case $c in
340     1) elog "Installed plugin${l}" ;;
341     *) elog "Installed $c plugins:${l}" ;;
342     esac
343     elog "To activate a plugin execute this command:"
344     elog "\teselect vdr-plugin enable <plugin_name> ..."
345 zzam 1.55 elog
346     }
347    
348 zzam 1.69 has_vdr() {
349     [[ -f "${VDR_INCLUDE_DIR}"/config.h ]]
350     }
351 zzam 1.55
352     ## exported functions
353    
354 zzam 1.1 vdr-plugin_pkg_setup() {
355     # -fPIC is needed for shared objects on some platforms (amd64 and others)
356     append-flags -fPIC
357    
358 hd_brummy 1.72 # Plugins need to be compiled with position independent code, otherwise linking
359     # VDR against it will fail
360     if has_version ">=media-video/vdr-1.7.13"; then
361 hd_brummy 1.89 append-lfs-flags
362 hd_brummy 1.72 fi
363    
364 zzam 1.22 # Where should the plugins live in the filesystem
365     VDR_PLUGIN_DIR="/usr/$(get_libdir)/vdr/plugins"
366     VDR_CHECKSUM_DIR="${VDR_PLUGIN_DIR%/plugins}/checksums"
367    
368 zzam 1.35 # was /usr/lib/... some time ago
369     # since gentoo-vdr-scripts-0.3.6 it works with /usr/share/...
370     VDR_RC_DIR="/usr/share/vdr/rcscript"
371 zzam 1.22
372     # Pathes to includes
373 zzam 1.29 VDR_INCLUDE_DIR="/usr/include/vdr"
374 zzam 1.22 DVB_INCLUDE_DIR="/usr/include"
375    
376 zzam 1.48 TMP_LOCALE_DIR="${WORKDIR}/tmp-locale"
377 hd_brummy 1.87 LOCDIR="/usr/share/locale"
378 zzam 1.48
379 zzam 1.69 if ! has_vdr; then
380     # set to invalid values to detect abuses
381     VDRVERSION="eclass_no_vdr_installed"
382     APIVERSION="eclass_no_vdr_installed"
383    
384     if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]] && ! use vdr; then
385     einfo "VDR not found!"
386     else
387     # if vdr is required
388     die "VDR not found!"
389     fi
390     return
391     fi
392 maekke 1.71
393 zzam 1.50 VDRVERSION=$(awk -F'"' '/define VDRVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
394     APIVERSION=$(awk -F'"' '/define APIVERSION/ {print $2}' "${VDR_INCLUDE_DIR}"/config.h)
395 zzam 1.18 [[ -z ${APIVERSION} ]] && APIVERSION="${VDRVERSION}"
396    
397 zzam 1.55 einfo "Compiling against"
398     einfo "\tvdr-${VDRVERSION} [API version ${APIVERSION}]"
399 idl0r 1.80
400    
401     if [ -n "${VDR_LOCAL_PATCHES_DIR}" ]; then
402     eerror "Using VDR_LOCAL_PATCHES_DIR is deprecated!"
403     eerror "Please move all your patches into"
404     eerror "${EROOT}/etc/portage/patches/${CATEGORY}/${P}"
405     eerror "and remove or unset the VDR_LOCAL_PATCHES_DIR variable."
406     die
407     fi
408 zzam 1.1 }
409    
410 zzam 1.66 vdr-plugin_src_util() {
411 zzam 1.1 while [ "$1" ]; do
412     case "$1" in
413 zzam 1.66 all)
414     vdr-plugin_src_util unpack add_local_patch patchmakefile i18n
415     ;;
416 zzam 1.68 prepare|all_but_unpack)
417 zzam 1.66 vdr-plugin_src_util add_local_patch patchmakefile i18n
418 zzam 1.34 ;;
419 zzam 1.1 unpack)
420 zzam 1.12 base_src_unpack
421 zzam 1.1 ;;
422 zzam 1.55 add_local_patch)
423     cd "${S}" || die "Could not change to plugin-source-directory!"
424 idl0r 1.80 epatch_user
425 zzam 1.55 ;;
426 zzam 1.1 patchmakefile)
427 zzam 1.55 cd "${S}" || die "Could not change to plugin-source-directory!"
428     vdr_patchmakefile
429 zzam 1.1 ;;
430 zzam 1.55 i18n)
431 hd_brummy 1.87 # i18n-to-gettext tool removed starting with version 1.7.27
432     if has_version "<media-video/vdr-1.7.27"; then
433     cd "${S}" || die "Could not change to plugin-source-directory!"
434     vdr_i18n
435     fi
436 hd_brummy 1.27 ;;
437 zzam 1.1 esac
438    
439     shift
440     done
441     }
442    
443 zzam 1.66 vdr-plugin_src_unpack() {
444     if [[ -z ${VDR_INCLUDE_DIR} ]]; then
445     eerror "Wrong use of vdr-plugin.eclass."
446     eerror "An ebuild for a vdr-plugin will not work without calling vdr-plugin_pkg_setup."
447     echo
448     eerror "Please report this at bugs.gentoo.org."
449     die "vdr-plugin_pkg_setup not called!"
450     fi
451     if [ -z "$1" ]; then
452     case "${EAPI:-0}" in
453 idl0r 1.78 2|3|4)
454 zzam 1.66 vdr-plugin_src_util unpack
455     ;;
456     *)
457     vdr-plugin_src_util all
458     ;;
459     esac
460    
461     else
462     vdr-plugin_src_util $@
463     fi
464     }
465    
466     vdr-plugin_src_prepare() {
467 zzam 1.67 base_src_prepare
468 zzam 1.68 vdr-plugin_src_util prepare
469 zzam 1.66 }
470    
471 zzam 1.1 vdr-plugin_src_compile() {
472 zzam 1.68 [ -z "$1" ] && vdr-plugin_src_compile copy_source compile
473 zzam 1.6
474 zzam 1.7 while [ "$1" ]; do
475    
476     case "$1" in
477 zzam 1.68 copy_source)
478 zzam 1.7 [[ -n "${VDRSOURCE_DIR}" ]] && vdr-plugin_copy_source_tree
479     ;;
480     compile)
481 zzam 1.33 if [[ ! -f ${WORKDIR}/.vdr-plugin_makefile_patched ]]; then
482 zzam 1.32 eerror "Wrong use of vdr-plugin.eclass."
483     eerror "An ebuild for a vdr-plugin will not work without"
484     eerror "calling vdr-plugin_src_unpack to patch the Makefile."
485     echo
486     eerror "Please report this at bugs.gentoo.org."
487     die "vdr-plugin_src_unpack not called!"
488     fi
489 zzam 1.50 cd "${S}"
490 zzam 1.7
491 zzam 1.65 BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-all}}
492    
493 zzam 1.48 emake ${BUILD_PARAMS} \
494 zzam 1.65 ${BUILD_TARGETS} \
495 zzam 1.48 LOCALEDIR="${TMP_LOCALE_DIR}" \
496 zzam 1.61 LIBDIR="${S}" \
497 zzam 1.60 TMPDIR="${T}" \
498 zzam 1.48 || die "emake failed"
499 zzam 1.7 ;;
500     esac
501 zzam 1.1
502 zzam 1.7 shift
503     done
504 zzam 1.1 }
505    
506     vdr-plugin_src_install() {
507 zzam 1.6 [[ -n "${VDRSOURCE_DIR}" ]] && vdr-plugin_install_source_tree
508 zzam 1.46 cd "${WORKDIR}"
509 zzam 1.1
510 zzam 1.22 if [[ -n ${VDR_MAINTAINER_MODE} ]]; then
511 zzam 1.50 local mname="${P}-Makefile"
512     cp "${S}"/Makefile "${mname}.patched"
513     cp Makefile.before "${mname}.before"
514 zzam 1.22
515 zzam 1.50 diff -u "${mname}.before" "${mname}.patched" > "${mname}.diff"
516 zzam 1.22
517     insinto "/usr/share/vdr/maintainer-data/makefile-changes"
518 zzam 1.50 doins "${mname}.diff"
519 zzam 1.22
520     insinto "/usr/share/vdr/maintainer-data/makefile-before"
521 zzam 1.50 doins "${mname}.before"
522 zzam 1.22
523     insinto "/usr/share/vdr/maintainer-data/makefile-patched"
524 zzam 1.50 doins "${mname}.patched"
525 zzam 1.22
526     fi
527    
528 zzam 1.60
529 zzam 1.61
530     cd "${S}"
531     insinto "${VDR_PLUGIN_DIR}"
532     doins libvdr-*.so.*
533    
534     # create list of all created plugin libs
535 zzam 1.64 vdr_plugin_list=""
536     local p_name
537 zzam 1.60 for p in libvdr-*.so.*; do
538     p_name="${p%.so*}"
539     p_name="${p_name#lib}"
540 zzam 1.64 vdr_plugin_list="${vdr_plugin_list} ${p_name}"
541 zzam 1.60 done
542    
543 zzam 1.64 create_header_checksum_file ${vdr_plugin_list}
544     create_plugindb_file ${vdr_plugin_list}
545 zzam 1.48
546 zzam 1.56 if vdr_has_gettext && [[ -d ${TMP_LOCALE_DIR} ]]; then
547 zzam 1.48 einfo "Installing locales"
548     cd "${TMP_LOCALE_DIR}"
549     insinto "${LOCDIR}"
550     doins -r *
551     fi
552    
553     cd "${S}"
554 zzam 1.23 local docfile
555     for docfile in README* HISTORY CHANGELOG; do
556     [[ -f ${docfile} ]] && dodoc ${docfile}
557     done
558 zzam 1.2
559 zzam 1.17 # if VDR_CONFD_FILE is empty and ${FILESDIR}/confd exists take it
560     [[ -z ${VDR_CONFD_FILE} ]] && [[ -e ${FILESDIR}/confd ]] && VDR_CONFD_FILE=${FILESDIR}/confd
561    
562     if [[ -n ${VDR_CONFD_FILE} ]]; then
563 zzam 1.44 newconfd "${VDR_CONFD_FILE}" vdr.${VDRPLUGIN}
564 zzam 1.17 fi
565    
566    
567     # if VDR_RCADDON_FILE is empty and ${FILESDIR}/rc-addon.sh exists take it
568     [[ -z ${VDR_RCADDON_FILE} ]] && [[ -e ${FILESDIR}/rc-addon.sh ]] && VDR_RCADDON_FILE=${FILESDIR}/rc-addon.sh
569    
570     if [[ -n ${VDR_RCADDON_FILE} ]]; then
571     insinto "${VDR_RC_DIR}"
572     newins "${VDR_RCADDON_FILE}" plugin-${VDRPLUGIN}.sh
573     fi
574 zzam 1.1 }
575    
576 zzam 1.50 vdr-plugin_pkg_postinst() {
577     vdr-plugin_print_enable_command
578    
579 zzam 1.17 if [[ -n "${VDR_CONFD_FILE}" ]]; then
580 zzam 1.50 elog "Please have a look at the config-file"
581     elog "\t/etc/conf.d/vdr.${VDRPLUGIN}"
582 hd_brummy 1.40 elog
583 zzam 1.13 fi
584 zzam 1.1 }
585    
586 zzam 1.2 vdr-plugin_pkg_postrm() {
587 zzam 1.37 delete_orphan_plugindb_file
588 zzam 1.2 }
589    
590 hd_brummy 1.83 vdr-plugin_pkg_config() {
591     :
592     }
593    
594 zzam 1.66 case "${EAPI:-0}" in
595 idl0r 1.78 2|3|4)
596 zzam 1.66 EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_compile src_install pkg_postinst pkg_postrm pkg_config
597     ;;
598     *)
599     EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst pkg_postrm pkg_config
600     ;;
601     esac

  ViewVC Help
Powered by ViewVC 1.1.20